Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.book
Class ParallelBookPicker.SelectedItemListener

    java.lang.Object
      org.crosswire.bibledesktop.book.ParallelBookPicker.SelectedItemListener

All Implemented Interfaces:
  ItemListener, EventListener, org.crosswire.jsword.book.BookProvider

Enclosing class:
  ParallelBookPicker

    final class ParallelBookPicker.SelectedItemListener

extends Object
implements ItemListener, org.crosswire.jsword.book.BookProvider

An ItemListener for a particular combo box that tracks it's selected item.

Field Summary
`private ParallelBookPicker` | `picker`

Constructor Summary
`ParallelBookPicker.SelectedItemListener(ParallelBookPicker picker)`

Method Summary
`org.crosswire.jsword.book.Book[]` | `getBooks()`
`org.crosswire.jsword.book.Book` | `getFirstBook()`
`void` | `itemStateChanged(ItemEvent ev)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### picker

    private ParallelBookPicker picker

Constructor Detail

### ParallelBookPicker.SelectedItemListener

    ParallelBookPicker.SelectedItemListener(ParallelBookPicker picker)

Method Detail

### itemStateChanged

    public void itemStateChanged(ItemEvent ev)

  Specified by:
    `itemStateChanged` in interface `ItemListener`

### getBooks

    public org.crosswire.jsword.book.Book[] getBooks()

  Specified by:
    `getBooks` in interface `org.crosswire.jsword.book.BookProvider`

### getFirstBook

    public org.crosswire.jsword.book.Book getFirstBook()

  Specified by:
    `getFirstBook` in interface `org.crosswire.jsword.book.BookProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD